Answering these questions before submitting your bug report will help us give
you a quicker answer.  Thank you!

If one or more of these questions are not applicable, feel free to remove them.

### Does this issue affect the `google-cloud-cpp` project?

If the problem is with the service exposed by the `google-cloud-cpp` APIs
instead of the client libraries you may consider opening a support request
instead.  The `google-cloud-cpp` developers cannot help you troubleshoot
problems with the service itself.

### What component of `google-cloud-cpp` is this related to?

Remove the ones that do not apply.

- Cloud Bigtable.
- Cloud Storage (under development).
- Cloud Firestore (commnunity supported).

### What version of `google-cloud-cpp` are you using?

Please include the output from `git rev-parse HEAD` if you are compiling from
source, or the version number from the applicable `*/version.h` file.

### What compiler and version are you using?

Please include the output of `g++ -v` or the equivalent command-line flag.

### What operating system and version are you using?

If you are using a Linux distribution include the name and version of the
distribution too.

### What were you trying to do?

If possible, produce a recipe for reproducing the problem.

### What did you expect to see?

What was the behavior you expected from the library?

### What did you see instead?

What was the behavior you actually observed?

### Anything else you would like us to know?

Include here information about your environment that is not captured above, or
any other information you think might be relevant.
